## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global app_id com.toolstack.Folio

Name:           folio
Version:        25.01
Release:        %autorelease
Summary:        A markdown note-taking app for GNOME

License:        GPL-3.0-or-later
URL:            https://github.com/toolstack/Folio
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz
Patch0:         storage-location.patch

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  vala
BuildRequires:  gettext
BuildRequires:  blueprint-compiler
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(gtksourceview-5)
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

%description
%{summary}.

%prep
%autosetup -p1 -n Folio-%{version}

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{app_id}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{app_id}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{app_id}.appdata.xml

%files -f %{app_id}.lang
%license COPYING
%doc README.md
%{_bindir}/%{app_id}
%{_bindir}/%{name}-search-provider
%{_datadir}/applications/%{app_id}-editor.desktop
%{_datadir}/applications/%{app_id}.desktop
%{_datadir}/dbus-1/services/%{app_id}.SearchProvider.service
%{_datadir}/dbus-1/services/%{app_id}.service
%{_datadir}/glib-2.0/schemas/%{app_id}.gschema.xml
%{_datadir}/gnome-shell/search-providers/%{app_id}.SearchProvider-search-provider.ini
%{_datadir}/gtksourceview-5/language-specs/markdownpp.lang
%{_datadir}/gtksourceview-5/styles/%{name}_markdown.xml
%{_datadir}/gtksourceview-5/styles/%{name}_markdown_dark.xml
%{_datadir}/icons/hicolor/scalable/apps/%{app_id}.svg
%{_datadir}/icons/hicolor/symbolic/apps/%{app_id}-symbolic.svg
%{_metainfodir}/%{app_id}.appdata.xml

%changelog
## START: Generated by rpmautospec
* Sat Feb 08 2025 Umut Demir <umutd3401@posteo.com> - 25.01-1
- Update to 25.01

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 24.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jan 03 2025 Umut Demir <umutd3401@posteo.com> - 24.14-2
- Add upstream source

* Fri Jan 03 2025 Umut Demir <umutd3401@posteo.com> - 24.14-1
- Initial import (fedora#2335013)
## END: Generated by rpmautospec
